# [Pomodori](README.md)

Updated and once again rewritten variant of my old blog, new versions of old programs: volumetric tetris,
simple captcha and others — simplified site generating without obfuscation, lightweight page design without
JavaScript and open license RF instead of MIT — there are a lot of changes and everywhere, but the essence
remains the same — nothing has changed. Series of static websites «Pomodori» — not to be bored and not to
forget how to write programs, when there is no work.

- [gitea&period;com](https://gitea&period;com/pomodoro) — latest version.
- [git&period;org&period;ru](https://git&period;org&period;ru/pomodoro) — history of changes.
- [hub&period;mos&period;ru](https://hub&period;mos&period;ru/pomodoro) — history of changes.

### Content

Solutions to programming problems with errors and descriptions of solutions. Correction of errors — is an
additional task for C students and cheaters. All code is checked and works — it looks nice, but such code
cannot be used on the production server. Question for B students: find at least one error. Question for A
students: find *more* errors and write the *own* solution.

Constructive criticism and error descriptions can be sent over electronic mail — at least it is interesting
for me and useful for professional growth. Because, firstly, not all mistakes are made intentionally and,
secondly, not all of them — are mistakes.

1. [Three-dimensional graphics in JavaScript](https://pomodoro1.mircloud.ru/en/).
2. [Cartesian product, combinatorics](https://pomodoro2.mircloud.ru/en/).
3. [Matrix multiplication and rotations](https://pomodoro3.mircloud.ru/en/).
4. [Practical philosophy, poetry and humor](https://pomodoro4.mircloud.ru/) without translation.
5. [Drawing pictures with text](https://pomodoro5.mircloud.ru/en/).

### Design

Two design themes for Jekyll in the Liquid template language: «Color tomato» was written earlier using
AngularJS and Material, this was the design of the previous version of my blog, then an «Older tomato»
— lightweight single-color variant was written using only HTML and CSS, the appearance resembles the
default design theme on GitHub Pages. Both tomatoes supplement each other and are similar to each other,
so they can be used together on the same site.

- [Color tomato](https://git.org.ru/golovin/color-tomato-theme/src/branch/master/README.en.md) — color selection during the build.
- [Older tomato](https://git.org.ru/golovin/older-tomato-theme/src/branch/master/README.en.md) — lightweight decoration theme.

### Process

The creative process began in 2016, but even earlier I wrote some things for myself. Activation of
creativity occurs, when there is no work. Mature thoughts become separate projects, and immature ones
go as parts of this project. Over time, there are more parts, so automation comes in handy here too.

- [Process management](bash_scripts/README.en.md) — scripts Bash.
- [Avatars for repositories](pictures/README.md) — pictures.
- [Incomplete publications](archive/README.md) — archive without translation.

### Build

Previously, a custom Java program was used to generate a site from templates. After generating, the
obfuscation was performed with a dictionary substitution cipher for all classes, variables and functions
of HTML, CSS and JS. Code blocks were left without obfuscation, and syntax highlighting was performed on
the client. *Obusificator* — is a unique solution, no longer used.

Now the site is generated by Jekyll, the template language is Liquid, syntax highlighting during build
time, and the content of the pages is in Markdown format. Process management is performed by Bash scripts.
The thought does not leave me, that I *made a senseless swap* — in general, nothing has changed.

### License

Previously, I attached the MIT license to my projects on the Internet, but when the open license
RF appeared — I switched to it, promptly made minor changes to the text and supplemented it on my
own, though I am not a lawyer. The main meaning of the license remains the same — the program is
provided free of charge, but without any guarantees, and the author of the program is me.

- [OPEN_LICENSE.txt](OPEN_LICENSE.txt) — the main text of the license and an explanation
  to it without changes, can be found on the Internet. I removed the extra spaces and space
  characters out from it, so that the text looks more like text.
- [LICENSE.md](LICENSE.md) — supplementation from myself with a reference to the main text
  of the license.
- [CONTRIBUTING.md](CONTRIBUTING.md) — description of the way, in which the project can be
  contributed.

---

© Golovin G.G., Code with comments, translation from Russian, 2021-2024
