# [Помидоры](README.en.md)

Обновлённый и ещё раз переписанный вариант моего старого блога, новые версии старых программ: объёмный тетрис,
простая капча и другие — упрощённая сборка сайта без обфускации, облегчённое оформление страниц без JavaScript и
открытая лицензия РФ вместо MIT — изменений много и везде, но суть осталась прежней — ничего не изменилось. Серия
статических вёб-сайтов «Помидоры» — чтобы не скучать и чтобы не забыть, как программы писать, когда работы нет.

- [gitea&period;com](https://gitea&period;com/pomodoro) — последняя версия.
- [git&period;org&period;ru](https://git&period;org&period;ru/pomodoro) — история изменений.
- [hub&period;mos&period;ru](https://hub&period;mos&period;ru/pomodoro) — история изменений.

### Содержание

Решения задач по программированию с ошибками и описания решений. Исправление ошибок — дополнительная задача для
троечников и любителей списывать. Весь код проверен и работает — выглядит красиво, но на продуктовом сервере такой
код использовать нельзя. Вопрос на четвёрку: найти хотя бы одну ошибку. Вопрос на пятёрку: найти *больше* ошибок и
написать *своё* решение.

Конструктивную критику и описания ошибок можно отправлять по электронной почте — как минимум мне это интересно и
полезно для профессионального роста. Потому что, во-первых, не все ошибки допущены намеренно и, во-вторых, не все
они — есть ошибки.

1. [Трёхмерная графика на JavaScript](https://pomodoro1.mircloud.ru).
2. [Декартово произведение, комбинаторика](https://pomodoro2.mircloud.ru).
3. [Умножение матриц и повороты](https://pomodoro3.mircloud.ru).
4. [Практическая философия, поэзия и юмор](https://pomodoro4.mircloud.ru).
5. [Рисуем картинки текстом](https://pomodoro5.mircloud.ru).

### Оформление

Две темы оформления для Jekyll на языке шаблонов Liquid: «Цветной помидор» был написан раньше с
использованием AngularJS и Material, таким было оформление предыдущей версии моего блога, затем
был написан «Старый помидор» — облегчённый одноцветный вариант с использованием только HTML и CSS,
внешний вид напоминает тему оформления по умолчанию на GitHub Pages. Оба помидора дополняют друг
друга и похожи друг на друга, поэтому их можно использовать вместе на одном сайте.

- [Цветной помидор](https://git.org.ru/golovin/color-tomato-theme/src/branch/master/README.md) — выбор цвета во время сборки.
- [Старый помидор](https://git.org.ru/golovin/older-tomato-theme/src/branch/master/README.md) — легковесная тема оформления.

### Процесс

Творческий процесс начался в 2016 году, но и раньше какие-то вещи я писал для себя. Активизация творчества
наступает, когда работы нет. Созревшие мысли становятся отдельными проектами, а несозревшие идут как части
этого проекта. Со временем частей становится больше, поэтому автоматизация пригождается и здесь тоже.

- [Управление процессами](bash_scripts/README.md) — скрипты Bash.
- [Аватарки для репозиториев](pictures/README.md) — картинки.
- [Незавершённые публикации](archive/README.md) — архив.

### Сборка

Раньше сборку сайта из шаблонов выполняла кастомная программа на Java. После сборки выполнялась обфускация
шифром замены по словарю для всех классов, переменных и функций HTML, CSS и JS. Блоки кода оставлялись без
обфускации, а подсветка синтаксиса выполнялась на клиенте. *Обусификатор* — уникальное решение, больше не
используется.

Теперь сборку сайта выполняет Jekyll, язык шаблонов Liquid, подсветка синтаксиса во время
сборки, а содержание страниц в формате Markdown. Управление процессами выполняют скрипты Bash.
Меня не покидает мысль, что я *поменял шило на мыло* — в целом ничего не изменилось.

### Лицензия

Раньше к своим проектам в интернете прикладывал лицензию MIT, но когда появилась открытая лицензия РФ
— перешёл на неё, сразу внёс небольшие изменения в текст и дополнил от себя, хотя я не юрист. Основной
смысл лицензии остался прежним — программа предоставляется бесплатно, но без каких-либо гарантий,
и автор программы — это я.

- [OPEN_LICENSE.txt](OPEN_LICENSE.txt) — основной текст лицензии и пояснение к нему без
  изменений, можно найти в интернете. Из него удалил лишние пробелы и пробельные символы,
  чтобы текст был больше похож на текст.
- [LICENSE.md](LICENSE.md) — дополнение от себя с указанием ссылки на основной текст лицензии.
- [CONTRIBUTING.md](CONTRIBUTING.md) — описание способа, как можно содействовать проекту.

---

© Головин Г.Г., Код с комментариями, 2021-2024
