# [Process management](README.md)

Creating an archive, switching the domain, composing scripts and creating repositories for publishing.

| № | Bash scripts                                   | Actions performed                                                                           |
|---|:-----------------------------------------------|:--------------------------------------------------------------------------------------------|
| 1 | [**archive_backup.sh**](archive_backup.sh)     | Creating a common archive for the directories of projects on the current date.              |
|   | [archive_cleanup.sh](archive_cleanup.sh)       | Deleting files and folders from the directories of projects before restoring the archive.   |
|   | [archive_packages.sh](archive_packages.sh)     | Building websites, creating and copying archives for deployment.                            |
| 2 | [**info_param.sh**](info_param.sh)             | Parameter for other scripts. Switching the domain of the remote repository.                 |
|   | [info_references.sh](info_references.sh)       | Updating the domain of a remote repository in cross-references in descriptions.             |
|   | [info_tree_license.sh](info_tree_license.sh)   | Building a directory tree for each project and copying license files.                       |
| 3 | [**repo_compose.sh**](repo_compose.sh)         | Composing scripts with parameters and copying them to the directories of projects.          |
|   | [repo_gitea.tmpl.sh](repo_gitea.tmpl.sh)       | Script template without parameters to create a remote repository gitea.                     |
|   | [repo_gitlab.tmpl.sh](repo_gitlab.tmpl.sh)     | Script template without parameters to create a remote repository gitlab.                    |
|   | [repo_local.tmpl.sh](repo_local.tmpl.sh)       | Script template without parameters to create a local repository.                            |
| 4 | [**repo_orchestrate.sh**](repo_orchestrate.sh) | Parallel execution of scripts and creation of repositories for the directories of projects. |

## Directories of projects

Local project directories are located on the same level. On the server,
repositories with websites are moved to a separate group, and the rest
of the repositories remain with the user. The directory structure for
[gitea&period;com](https://gitea&period;com/golovin),
[git&period;org&period;ru](https://git&period;org&period;ru/golovin) and
[hub&period;mos&period;ru](https://hub&period;mos&period;ru/golovin).

<pre>
.
├─ <a href='https://git.org.ru/golovin/color-tomato-theme/src/branch/master/DIRECTORY_TREE.md'>color-tomato-theme</a>
├─ <a href='https://git.org.ru/golovin/older-tomato-theme/src/branch/master/DIRECTORY_TREE.md'>older-tomato-theme</a>
├─ <a href='https://git.org.ru/golovin/pomodoro/src/branch/master/DIRECTORY_TREE.md'>pomodoro</a>
├─ <a href='https://git.org.ru/pomodoro/1/src/branch/master/DIRECTORY_TREE.md'>pomodoro1</a>
├─ <a href='https://git.org.ru/pomodoro/2/src/branch/master/DIRECTORY_TREE.md'>pomodoro2</a>
├─ <a href='https://git.org.ru/pomodoro/3/src/branch/master/DIRECTORY_TREE.md'>pomodoro3</a>
├─ <a href='https://git.org.ru/pomodoro/4/src/branch/master/DIRECTORY_TREE.md'>pomodoro4</a>
├─ <a href='https://git.org.ru/pomodoro/5/src/branch/master/DIRECTORY_TREE.md'>pomodoro5</a>
└─ <a href='https://git.org.ru/pomodoro/6/src/branch/master/DIRECTORY_TREE.md'>pomodoro6</a>
</pre>
